## org.eclipse.amp.amf.abase.services
Class ABaseGrammarAccess.BooleanValueElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.abase.services.ABaseGrammarAccess.BooleanValueElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  ABaseGrammarAccess

    public class ABaseGrammarAccess.BooleanValueElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`ABaseGrammarAccess.BooleanValueElements()`

Method Summary
`org.eclipse.xtext.ParserRule` `getRule()`
`org.eclipse.xtext.Assignment` `getValueAssignment()`
`org.eclipse.xtext.RuleCall` `getValueBOOLEANEnumRuleCall_0()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
`getRules`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseGrammarAccess.BooleanValueElements

    public ABaseGrammarAccess.BooleanValueElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getValueAssignment

    public org.eclipse.xtext.Assignment getValueAssignment()

### getValueBOOLEANEnumRuleCall_0

    public org.eclipse.xtext.RuleCall getValueBOOLEANEnumRuleCall_0()